Bug 1254057 - The SubComponent extension gives a broken error message when an invalid subcomponent is chosen
The SubComponent extension gives a broken error message when an invalid subco...
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Matt Tyson
Rony Gong
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 00:46 EDT by Matt Tyson
Modified: 2015-11-04 00:40 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.4.10042-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-03 23:30:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Tyson 2015-08-17 00:46:30 EDT
Description of problem:

When you submit a sub component name that does not exist in that component you will get the following message

The user error string subcomponent_not_correct was not found. Please send email to bugzilla-requests@redhat.com describing the steps taken to obtain this message.


Steps to Reproduce:
1. Change the component from a component that has sub components to another component that has sub components
2. Don't select a new sub component
3.

Actual results:

Above error message

Expected results:

An error message telling you that the sub component does not exist for that component.

Additional info:
Comment 1 Rony Gong 2015-08-30 22:57:58 EDT
Tested on 
QA environment(bzweb01-qe) with version(4.4.9040-1, DB: mysql)
QA environment(bzperfweb01.app.qa) with version(4.4.9040-1, DB: psql )
Result: Pass
Comment 2 Matt Tyson 2015-11-03 23:30:54 EST
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.